#ifndef _APPLICATION

#define _APPLICATION

#include <text.h>

#include <fileSystem.h>

#include <class.h>

#include <array.h>


typedef struct application{

	char * input;

	char * output;

	struct array * classes;

	struct array * functions;

} application;


struct application * application_new();

void application_initializeGlobals();

array * application_extractIncludedFilePaths( struct application  * currentApplication );

struct application * application_parseArguments( int argc, char **argv );

struct class * application_getClassByClassName( struct array * classesArray, char * className );

void application_printMemoryUsage();

#endif